MingでFlash Lite1.1

July 8, 2011,
tags: flashlite1.1 ming php


このエントリーをはてなブックマークに追加

MingでFlash Lite1.1用のSWFを生成するときに若干は待ったのでメモ。

基本的にMingでFlash Lite1.1に対応させる場合は以下の関数を呼び出せばいいわけです

<?php
ming_useswfversion(4);
?>

ただming_useswfversion();を実行しているのにFlash Lite1.1にならないことがありました。
結構悩んでたんですが、どうやら原因はSWFMoveオブジェクトを生成してからming_useswfversion関数を呼び出していたのが問題だったようです。。

これだとFlashLite1.1対応にならない。

<?php
$swf = new SWFMovie();
ming_useswfversion(4);
?>

こっちだとFlashLite.1.1対応になる

<?php
ming_useswfversion(4);
$swf = new SWFMovie();
?>
comments powered by Disqus